Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454239 - fence_ilo can not reboot HP server with RIBCL v2.22 (ILO2)
Summary: fence_ilo can not reboot HP server with RIBCL v2.22 (ILO2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 06:56 UTC by Zhenyong(Jerry) Jiang
Modified: 2013-07-29 00:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:52:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
Modified fence_ilo (deleted)
2008-07-07 07:06 UTC, Zhenyong(Jerry) Jiang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0189 normal SHIPPED_LIVE cman bug-fix and enhancement update 2009-01-20 16:05:55 UTC

Description Zhenyong(Jerry) Jiang 2008-07-07 06:56:48 UTC
Description of problem:

After update the servers' bios( iLO2 with RIBCL v2.22 ), fence_ilo will met
following messages when trying to reboot hp server.

# fence_ilo -a 192.168.100.1 -l Administrator -p password -o reboot
Can't use an undefined value as a HASH reference at
/usr/lib64/perl/vendor_perl/5.8.8/x86_64-linux-thread-multi/Net/SSL.pm line 128,
<> line 4.

We find a way can work around this issue:
Adding sleep(3) into line 633 and line 635 before taking action power_on &
power_status.

    620 elsif (/reboot/)
    621 {
    622         fail "power_status: unexpected error\n" if power_status;
    623 
    624         if (! /^off$/i)
    625         {
    626                 fail "power_off: unexpected error\n" if power_off;
    627                 fail "power_status: unexpected error\n" if power_status;
    628                 fail "failed to turn off\n" unless (/^off$/i);
    629         }
    630 
    631         if (/^off$/i)
    632         {
    633                 sleep(3);           <<<<<<= add a sleep here
    634                 fail "power_on: unexpected error\n" if power_on;
    635                 sleep(3);           <<<<<<= add a sleep here
    636                 fail "power_status: unexpected error\n" if power_status;
    637                 fail "failed to turn on\n" unless (/^on$/i);
    638         }
    639         else
    640         {
    641                 fail "unexpected power state: '$_'\n";
    642         }
    643 }



Version-Release number of selected component (if applicable):

[root@localhost ~]# rpm -q cman
cman-2.0.84-2.el5


How reproducible:

100%

Steps to Reproduce:

1. Update HP server's bios to latest version. make sure it has iLO2 with RIBCL
v2.22. setting up ip/login/password for ilo2.
2. On a client server, try to reboot it use fence_ilo
  
Actual results:

met error when using reboot action with fence_ilo.

Expected results:

Additional info:

fence_ilo can work well before updating server's bios.

Comment 1 Zhenyong(Jerry) Jiang 2008-07-07 07:06:38 UTC
Created attachment 311131 [details]
Modified fence_ilo

Comment 2 Ryan McCabe 2008-07-16 18:33:04 UTC
Is this version 1.50 of the firmware?

Comment 3 Kiersten (Kerri) Anderson 2008-09-23 15:48:14 UTC
Fix available, raising exception to include in rc compose as this generates lots of customer calls.

Comment 4 Marek Grac 2008-09-24 14:43:28 UTC
This bug is already fixed in new fence agent (shipped in 5.3). New fence agent was tested also on these configurations:

iLO  / firmware 1.91 / RIBCL 2.22
iLO2 / firmware 1.22 / RIBCL 2.22
iLO2 / firmware 1.50 / RIBCL 2.22

Comment 8 errata-xmlrpc 2009-01-20 21:52:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html


Note You need to log in before you can comment on or make changes to this bug.